<div class="col-md-12">
  <div class="card card-container">
    <img
      id="profile-img"
      src="//ssl.gstatic.com/accounts/ui/avatar_2x.png"
      class="profile-img-card"
    />
    <form
      *ngIf="!isSuccessful"
      name="form"
      (ngSubmit)="f.form.valid && onSubmit()"
      #f="ngForm"
      novalidate
    >
      <div class="form-group">
        <label for="username">Nom d'utilisateur</label>
        <input
          type="text"
          class="form-control"
          name="username"
          [(ngModel)]="form.username"
          required
          minlength="3"
          maxlength="20"
          #username="ngModel"
        />

        <div class="alert-danger" *ngIf="f.submitted && username.invalid">
          <div *ngIf="username.errors.required">le nom d'utilisateur est obligatoire</div>
          <div *ngIf="username.errors.minlength">
            Le nom d'utilisateur doit comporter au moins 3 caractères
          </div>
          <div *ngIf="username.errors.maxlength">
            Le nom d'utilisateur doit comporter au maximum 20 caractères
          </div>
        </div>
      </div>


      <div class="form-group">
        <label for="firstName">Prénom </label>
        <input
          type="text"
          class="form-control"
          name="firstName"
          [(ngModel)]="form.firstName"
          required
          minlength="3"
          maxlength="20"
          #firstName="ngModel"
        />

        <div class="alert-danger" *ngIf="f.submitted && lastName.invalid">
          <div *ngIf="lastName.errors.required">le prénom est obligatoire</div>
          <div *ngIf="lastName.errors.minlength">
            Le prénom  doit comporter au moins 3 caractères
          </div>
          <div *ngIf="lastName.errors.maxlength">
            Le prénom  doit comporter au maximum 20 caractères
          </div>
        </div>
      </div>


      <div class="form-group">
        <label for="lastName">Nom </label>
        <input
          type="text"
          class="form-control"
          name="lastName"
          [(ngModel)]="form.lastName"
          required
          minlength="3"
          maxlength="20"
          #lastName="ngModel"
        />

        <div class="alert-danger" *ngIf="f.submitted && lastName.invalid">
          <div *ngIf="lastName.errors.required">le nom est obligatoire</div>
          <div *ngIf="lastName.errors.minlength">
            Le nom  doit comporter au moins 3 caractères
          </div>
          <div *ngIf="lastName.errors.maxlength">
            Le nom  doit comporter au maximum 20 caractères
          </div>
        </div>
      </div>

      <div class="form-group">
        <label for="email">Email</label>
        <input
          type="email"
          class="form-control"
          name="email"
          [(ngModel)]="form.email"
          required
          email
          #email="ngModel"
        />
        <div class="alert-danger" *ngIf="f.submitted && email.invalid">
          <div *ngIf="email.errors.required">l'email est obligatoire</div>
          <div *ngIf="email.errors.email">
            Email must be a valid email address
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="password">mot de passe</label>
        <input
          type="password"
          class="form-control"
          name="password"
          [(ngModel)]="form.password"
          required
          minlength="6"
          #password="ngModel"
        />
        <div class="alert-danger" *ngIf="f.submitted && password.invalid">
          <div *ngIf="password.errors.required">le mot de passe est obligatoire</div>
          <div *ngIf="password.errors.minlength">
            Le mot de passe doit être au moins de 6 caractères
          </div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-primary btn-block">S'inscrire</button>
      </div>

      <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
        Inscription échouée !<br />{{ errorMessage }}
      </div>
    </form>

    <div class="alert alert-success" *ngIf="isSuccessful">
      L'inscription a été effectué avec succès.   </div>
  </div>
</div>
